package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiInspectTaskMapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectTask;
import com.goldenwater.slaj.hazard.service.ITBusiInspectTaskService;

/**
 * 巡查任务 服务层实现
 */
@Service
public class TBusiInspectTaskServiceImpl implements ITBusiInspectTaskService {

    @Autowired
    private TBusiInspectTaskMapper tBusiInspectTaskMapper;

    @Override
    public TBusiInspectTask selectTBusiInspectTaskByGuid(String guid) {
        return tBusiInspectTaskMapper.selectTBusiInspectTaskByGuid(guid);
    }

    @Override
    public List<TBusiInspectTask> selectTBusiInspectTaskList(TBusiInspectTask tBusiInspectTask) {
        return tBusiInspectTaskMapper.selectTBusiInspectTaskList(tBusiInspectTask);
    }

    @Override
    public int insertTBusiInspectTask(TBusiInspectTask tBusiInspectTask) {
        return tBusiInspectTaskMapper.insertTBusiInspectTask(tBusiInspectTask);
    }

    @Override
    public int updateTBusiInspectTask(TBusiInspectTask tBusiInspectTask) {
        return tBusiInspectTaskMapper.updateTBusiInspectTask(tBusiInspectTask);
    }

    @Override
    public int deleteTBusiInspectTaskByGuid(String guid) {
        return tBusiInspectTaskMapper.deleteTBusiInspectTaskByGuid(guid);
    }

    @Override
    public int deleteTBusiInspectTaskByGuids(String[] guids) {
        return tBusiInspectTaskMapper.deleteTBusiInspectTaskByGuids(guids);
    }
}
